import { h } from "@stencil/core";
export class DgaMenuGroup {
    render() {
        return (h("div", { key: '3a0958a77b19ee0e4e4b77540bd6da24fc51a896', class: "menu-group" }, this.groupLabel && h("span", { key: '994c4208f14c8c76112a05c2e83654331d255854', class: "menu-group__label" }, this.groupLabel), h("ul", { key: 'a3d091ec09b6eae7084d499523e447073c96de00', class: "menu-group__items" }, h("slot", { key: '8cac9f20cfca702cf448bbbafe478c377fd67904' }))));
    }
    static get is() { return "dga-menu-group"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["dga-menu-group.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["dga-menu-group.css"]
        };
    }
    static get properties() {
        return {
            "groupLabel": {
                "type": "string",
                "attribute": "group-label",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
